# -*- coding: utf-8 -*-

class ObjectToolsMixin:
    def get_object_tools(self, request):
        """
        [{'admin_urlname': '', 'title': ''}]
        :param request:
        :return: list of object tools
        """
        return []

    def changelist_view(self, request, extra_context=None):
        extra_context = self.get_object_tools_extra_context(request, extra_context)
        return super().changelist_view(request, extra_context)

    def get_object_tools_extra_context(self, request, extra_context=None):
        extra_context = extra_context or {}
        extra_context['object_tools'] = self.get_object_tools(request)
        return extra_context
